<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <title>PIMCity Demonstration</title>
        <!-- Bootstrap -->
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
        <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
        <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
        <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
        <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
        <![endif]-->
    </head>
    <body>
        <div class="jumbotron text-center" style="background-color:#6EB006">
            <div class="container"  >
                <div class="row align-items-center h-100 p-3">
                    <div class="col-sm-1 align-middle">
                        <a href="https://www.pimcity-h2020.eu/"><img src="https://www.pimcity-h2020.eu/app/uploads/2019/10/cropped-PIMcity_RGB_logo_white_backgound.png" class="rounded" style="background-color:#EEEEEE; Padding:5px" width=100px /> </a>
                    </div>
                    <div class="col-sm-11">
                        <h1>PIMCity Demonstration</h1>
                        <p>BUILDING THE NEXT GENERATION PERSONAL DATA PLATFORMS</p>
                    </div>
                </div>
            </div>
        </div>

        <br/><br/>
        <div class="container" style="text-align: left;" >
            <div class="row p-2 rounded" style="background-color:#6EB006">
                <h2>Data Portability Control (DPC)</h2>
            </div>
            <div class="row p-2 rounded" >
                <div class="col-sm-3">
                    <img src="https://gitlab.com/pimcity/pdk-description/-/raw/main/images/dpc.png" class="card-img-top" alt="DP">

                </div>
                <div class="col-sm-9">
                <p>The Data Portability Control (DPC) allows users to migrate their data to new platforms, in a privacy-preserving fashion. More specifically, it incorporates the necessary tools to import data from multiple platforms (through the available Data Sources), process the data to remove sensitive information (through the Data Transformation Engine), and outport into other platforms (through the Data Export module). Since the tool does not have a dedicated UI for the users, it provides an interface in a form of a generic Control API for controlling all operations from other modules of the PIM system (e.g., the User Dashboard).</p>
                </div>

            </div>
            <div class="row p-2 rounded" >

                <div class="col-sm-4">
                    <h5> Access the DP UI</h5>
                    <br/>
                    <a href="https://easypims.pimcity-h2020.eu/portability/swagger"
                        class="btn btn-primary">Go to the online Demonstrator</a>
                </div>

                <div class="col-sm-2">
                    <h5> Source Code</h5>
                    <p>The project is open-source and its code is on the online repository:
                    <br/>
                    <a href="https://gitlab.com/pimcity/wp4/data-portability-control-tool"
                        class="btn btn-primary">GitLab</a></p>
                </div>

                <div class="col-sm-6">
                    <h5> Licence </h5>
                    <p>The DPC Tool is distributed under AGPL-3.0-only, see the <a href="https://gitlab.com/pimcity/wp4/data-portability-control-tool/-/blob/master/LICENSE.txt">LICENSE</a> file.<br/>
                    Copyright (C) 2021 Telefonica I+D - Kleomenis Katevas, Panagiotis Papadopoulos, Nicolas Kourtelis.</p>
                    <br/>
                </div>
        </div>

        <div class="row p-2 rounded" >
            <div class="col-lg-1"></div>
            <div class="col-sm-12 col-md-6 col-lg-5">
                <br/>
                <h5>Demonstration video</h5>
                In this video we show how to:
                <ul>
                 <li>Create a new Data Source for reading Facebook data.</li>
                 <li>Create a new Data Transformation for masking some columns of the data.</li>
                 <li>Create a new Data Export for archiving the transformed data into a JSON file.</li>
                </ul>
            </div>
            <div class="col-sm-12 col-md-6 col-lg-5">
                <br/>
                <div class="video-responsive" style="text-align: center;">
                    <iframe width="540" height="350"
                    src="https://www.youtube.com/embed/U4VIMbDj-pA">
                    </iframe>
                </div>
                <br/>
            </div>
        </div>

        <br/><br/>
        <footer class="footer" style="background-color:#6EB006">
            <div class="container">
                <div id="footer-bottom" class="clr no-footer-nav">
                    <div id="footer-bottom-inner" class="container clr">
                        <div id="copyright" class="clr" role="contentinfo">
                            This project has received funding from the European Union Horizon 2020 Research and Innovation programme under <a href="https://cordis.europa.eu/project/rcn/225755/factsheet/en">Grant Agreement No. 871370
                        </div>
                        <!-- #copyright -->
                    </div>
                    <!-- #footer-bottom-inner -->
                </div>
            </div>
        </footer>
        <!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
        <!-- Include all compiled plugins (below), or include individual files as needed -->
        <script src="//maxcdn.bootstrapcdn.com/bootstrap/3.3.1/js/bootstrap.min.js"></script>
    </body>
</html>
